<?php
session_start();
include("config.php");
include("funciones.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
	$id = $_POST['id'];	
	$link = $_POST['link'];	
	$descripcion = $_POST['cuerpo_interno'];
	$imagen_escritorio = $_FILES['imagen_escritorio']['name'];
	$imagen_mobile = $_FILES['imagen_mobile']['name'];
	$imagen_escritorio_bd =$_POST['imagen_escritorio_bd'];
	$imagen_mobile_bd=$_POST['imagen_mobile_bd'];
	$estado=$_POST['estado'];
	
	$id_v = filter_var($id,  FILTER_SANITIZE_STRING);
	$estado_v = filter_var($estado,  FILTER_SANITIZE_STRING);
	$link_v = filter_var($link,  FILTER_SANITIZE_URL);
	$imagen_escritorio_v = filter_var($imagen_escritorio,  FILTER_SANITIZE_STRING);
	$imagen_mobile_v = filter_var($imagen_mobile,  FILTER_SANITIZE_STRING);
	$imagen_escritorio_bd_v = filter_var($imagen_escritorio_bd,  FILTER_SANITIZE_STRING);
	$imagen_mobile_bd_v = filter_var($imagen_mobile_bd,  FILTER_SANITIZE_STRING);

        if($link_v && $estado_v)  
		{			$img_tmp_redes="";
					$img_file_escritorio=$_FILES['imagen_escritorio'];
					$img_file_mobile=$_FILES['imagen_mobile'];
					$link_real = mysqli_real_escape_string($con,$link_v);
					
					$estado_real = mysqli_real_escape_string($con,$estado_v);
					$sql  = "UPDATE banner SET link='$link_real', descripcion='$descripcion',estado='$estado_real'";
					$dir="img/banner/";					
					if($imagen_escritorio && $imagen_mobile){					
						$restriccion="";
						$fin=1;							
						list($valorSubida1,$nuevos_nombres)=subir_imagen_banner(0,$fin,$restriccion,$img_file_escritorio,$img_file_mobile,$dir);																
						if($valorSubida1 = "1"){
							$name_escritorio=$nuevos_nombres[0];
							$name_mobile=$nuevos_nombres[1];
							$estado=1;
							$id_real = mysqli_real_escape_string($con,$id_v);
							$sql.= ",imagen_escritorio='$name_escritorio',imagen_mobile='$name_mobile' WHERE id=".$id_real;											
							if(mysqli_query($con,$sql)){
								echo "Actualizando...";									
							chmod($dir.$imagen_escritorio_bd_v, 0777);
							chmod($dir.$imagen_mobile_bd_v, 0777);								
							unlink($dir.$imagen_escritorio_bd_v);
							unlink($dir.$imagen_mobile_bd_v);												
							?>
							<script type="text/javascript">
							window.location.href="banner.php";
							</script>
							<?php	
							}else{
								echo "Error al actualizar, por favor intente denuevo";
								?>
								<script type="text/javascript">
								redireccionarPagina() 
								</script>
								<?php
							}
						}else{
							echo "Se ha producido un error al subir la imágen, por favor intente de nuevo!<br />";
							?>
								<script type="text/javascript">
								redireccionarPagina() 
								</script>
								<?php
						}  														    
					}elseif($imagen_escritorio_v && $imagen_mobile == ""){						
						$restriccion="";
						$fin=0;					
						list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_file_escritorio,$img_file_mobile,$img_tmp_redes,$dir);										
						if($valorSubida1 = "1"){
							$name_escritorio=$nuevos_nombres[0];
							$id_real = mysqli_real_escape_string($con,$id_v);
							$sql .= ",imagen_escritorio='$name_escritorio' WHERE id=".$id_real;							
							if(mysqli_query($con,$sql)){
								echo "Actualizando...";									
							chmod($dir.$imagen_escritorio_bd, 0777);																
							unlink($dir.$imagen_escritorio_bd);														
							?>
							<script type="text/javascript">
							window.location.href="banner.php";
							</script>
							<?php
							}else{
								echo "Error al actualizar, por favor intente denuevo";
								?>
								<script type="text/javascript">
								redireccionarPagina() 
								</script>
								<?php
							}
						}else{
							echo "Se ha producido un error al subir la imágen, por favor intente de nuevo!<br />";
							?>
								<script type="text/javascript">
								redireccionarPagina() 
								</script>
								<?php
						}   							
				    }elseif($imagen_escritorio == "" && $imagen_mobile_v){						
						$restriccion="";
						$fin=1;					
						list($valorSubida1,$nuevos_nombres)=subir_imagen(1,$fin,$restriccion,$img_file_escritorio,$img_file_mobile,$img_tmp_redes,$dir);																
						if($valorSubida1 = "1"){
							$name_mobile=$nuevos_nombres[1];
							$id_real = mysqli_real_escape_string($con,$id_v);
							$sql .= ",imagen_mobile='$name_mobile' WHERE id=".$id_real;
							if(mysqli_query($con,$sql)){
								echo "Actualizando...";
							chmod($dir.$imagen_mobile_bd_v, 0777);
							unlink($dir.$imagen_mobile_bd_v);
							?>
							<script type="text/javascript">
							window.location.href="banner.php";
							</script>
							<?php
							}else{
								echo "Error al actualizar, por favor intente denuevo";
								?>
								<script type="text/javascript">
								redireccionarPagina() 
								</script>
								<?php
							}
						}else{
							echo "Se ha producido un error al subir la imágen, por favor intente de nuevo!<br />";
							?>
								<script type="text/javascript">
								redireccionarPagina() 
								</script>
								<?php
						}  
					}else{
						$id_real = mysqli_real_escape_string($con,$id_v);
						$sql.= " WHERE id=".$id_real;
						if(mysqli_query($con,$sql)){
							echo "Actualizando...";
						?>
						<script type="text/javascript">
						window.location.href="banner.php";
						</script>
						<?php
						}else{
							echo "Error al actualizar, por favor intente denuevo";
							?>
							<script type="text/javascript">
							redireccionarPagina() 
							</script>
							<?php
						}	
					}					

		}else{
		    echo "Lo sentimos, los datos estan íncompletos o son incorrectos";
					?>
					<script type="text/javascript">
					redireccionarPagina() 
					</script>
					<?php
		}	
}
?>
<script type="text/javascript">
	function redireccionarPagina() {
		 window.location = "banner.php";
	}
	setTimeout("redireccionarPagina()", 1000);
</script>
